* {
  background-color: aqua;
}

#padre {
  display: flex;
  height: 800px;
  width: 600px;
  background-color: aqua;
  flex-wrap: wrap;
}
.hijo {
  width: 50px;
  border-style: solid;
  margin: 20px;
  padding: 5px;
}
#d1 {
  flex-grow: 1;
  background-color: red;
}
#d2 {
  flex-grow: 4;
  background-color: blue;
}
#d3 {
  flex-grow: 1;
  background-color: green;
}
#d4 {
  flex-grow: 10;
  background-color: yellow;
}
